apiVersion: apps/v1
#ENC[AES256_GCM,data:0BSOOGC1HVZzKet3KlpEmWNYmvSHJP3b8ULf9C4hpssmtwFiJPkXN2uGzxxt8j+aBLUs,iv:6lwrFMoJ2DJL0IG9/dp90hSv6ZKvUH5Lo4YrEcQ/V2w=,tag:x0pZDVef7x0SCuWPxwP5GA==,type:comment]
kind: StatefulSet
metadata:
    # < name of the deployment
    name: nextcloud-db
    # < namespace where to place the statefulset and pods
    namespace: nextcloud
    labels:
        # < label for tagging and reference
        app: nextcloud
spec:
    #ENC[AES256_GCM,data:rfvWaG48rJ57LLpg0IN7Y/NL9PmXJXuh5Fbdu4TrNe1eKNaFIP+65nC1uyjKkfO3,iv:17M6oLHL6Ps77UmGoW+hgbTQcvJPdsK7f/j4sVW8sfs=,tag:ZNH7eTVbPTnktW8/b3ecDw==,type:comment]
    serviceName: ENC[AES256_GCM,data:hrG3YN6enblzVUWi2JwUVBVyqgI=,iv:+AOn2f2XB2y+U2zaC7FXSdrByiTmmLy+n2wv/pk5nvo=,tag:KOmEvvAJtIaahKA8hBLeGw==,type:str]
    #ENC[AES256_GCM,data:hRk6FvOd+k5LTs3LUkeipqQMnpg1h1lhu+Xd,iv:Q4p2U6C+25DEqznBDMsjtMUkDVa+9JVlNUoK1O/fqLc=,tag:NjSGRRKeCEUuog1pMXEPGA==,type:comment]
    replicas: ENC[AES256_GCM,data:EA==,iv:By6SI7SCsq8EyL5Wp2U5K4H8NBHzB+zpWqhe3GpWmTg=,tag:V6UMCZZ3ekduGNXz/1j+7Q==,type:int]
    selector:
        matchLabels:
            #ENC[AES256_GCM,data:2wuTp4UhYvJueDx3zo1qT5Vg5EK5XitTa5L5aYNlapkvsc5EPpM=,iv:XUAt1AJEAek+GsO6ImTFtxoDo+jBfCYfVba41bNFixY=,tag:od9NCI/nDIbbmz+UiI0nvA==,type:comment]
            pod-label: ENC[AES256_GCM,data:RwCawrdztvq5kpgAkX7MBg==,iv:d2Q5AmoYwhAHnXeDvozHHxObgConqTXkEgLuHy+32Hs=,tag:Yt/xRGhIkJ9Clox2YWUSCg==,type:str]
    template:
        metadata:
            labels:
                pod-label: nextcloud-db-pod
        spec:
            terminationGracePeriodSeconds: ENC[AES256_GCM,data:WLm7pQ==,iv:ZQufs4RsAg+lxhzhxQm+qEjiLtaMsdYHQRuIcXFVzIE=,tag:3XFcp9ELu+/TLuwxK9nfCQ==,type:int]
            volumes:
                - name: ENC[AES256_GCM,data:xuHVKfZp7nX4wIb4IYhN4Q6Lyr8=,iv:muRGY9ZhHnUKhXLcqng2AeHAEE2UbCHyQWUpLMsLn4k=,tag:JODjFThTzbKnYI+wbnJZaQ==,type:str]
                  #ENC[AES256_GCM,data:Jq9Inc4dP94AyFNVC1RuHB5iIeay4Y8O04KGz/bRs7J5hkWuJg==,iv:+BBiiugQ0l+00UFlXH+3yIN0SA6JJpZWA+8aVPA9w4Q=,tag:WPvyKHg888sKBLUMU2PYUw==,type:comment]
                  persistentVolumeClaim:
                    #ENC[AES256_GCM,data:LJT8LpRFT3kBwGGVdMmcjVn0RNlVkCKJ22A0oUhfCLtZRvMfxo05fyD/jDM=,iv:YCkW2hxlSVNR+3C8BmCtDmGpk2geEx+baolZh28HYrI=,tag:IbjLzT7nB3+q+GUZcpMvHw==,type:comment]
                    claimName: ENC[AES256_GCM,data:1hLomlK4TLAy4VKxfRAwxg==,iv:WdfCyYMrTLFZW2kp1rEs+NXWuw0T5wcpbTJssky8GK8=,tag:/n5T6k7ZwMcEgyMVqynSpA==,type:str]
            containers:
                - name: ENC[AES256_GCM,data:qjhr5NxYjQ==,iv:iDoL2QrVENKXpMr6L1P2s4jpjR90ZhVnR32GOFD49NQ=,tag:sg+blsZrjDHCWhpTmrS+mQ==,type:str]
                  image: ENC[AES256_GCM,data:tnVCzPPyeUK8eFRmd7WxCxC9DQ==,iv:hHcXwoLXkh0dffGgpNCvNAzvWa8zNqvoqWYcz1dR6xs=,tag:vu/IJc+YW86bArFkMNX9dA==,type:str]
                  imagePullPolicy: ENC[AES256_GCM,data:6e4Gqq2E,iv:Dtux5tqYXWtXUpBKIUnEasl3cpI5saDC1aeKG6RYOus=,tag:XuyzfTUu4QuDLyCC1zbDqA==,type:str]
                  #ENC[AES256_GCM,data:6VtUaeifJ7+I8IqT57uNpDlj2vMH2pZCYgLFIpxqrwVnMwNnUOSXiw7h6KzevzGTNWclehvRf9XXVnZ20OsJlvznCX3A0GLckk4=,iv:RPaOQvaHdV3fgQy64NGbhn3mN4eVMufCglxaT90EOgI=,tag:IGqZDqmvVWcu9gXGL0corw==,type:comment]
                  env:
                    - name: ENC[AES256_GCM,data:Yc/Kzg==,iv:65x0vKv2P0OFl6k/EkR5csUzcnRt14y6iGKR40tX6J0=,tag:GJoYtYUho/gX6TsV6VdLvA==,type:str]
                      value: ENC[AES256_GCM,data:WsLcww==,iv:a5DXXJf9sUQTS9Fp3XCZrn9vTV62UKDSboFVIof4Swc=,tag:ID8HfkZajuWwYEG6YqP0EQ==,type:str]
                    - name: ENC[AES256_GCM,data:NvnlXw==,iv:QIsRPSb19hIhKiIyaCXX9F/FiYCbxpXBm4iGIWwtysc=,tag:iDGOazaJIhXtqaCrSZ6y9Q==,type:str]
                      value: ENC[AES256_GCM,data:mlcjPQ==,iv:E6txgqKzarDwzPUfnitzSdOs6NJQjT1tU33WzyYVapk=,tag:mrbQWvxiUbtg+3IEtcVGsg==,type:str]
                    - name: ENC[AES256_GCM,data:h9o=,iv:e+BYan0sSOzvSgMJfCrEac21I5DLd/tOCiUsUTeemK0=,tag:sO76DhtVbj607heEW+dPnQ==,type:str]
                      value: ENC[AES256_GCM,data:P9AHQb7PxYrMyMghwl+npQ==,iv:0dtsZfbBoqVXy3IGJ8aFXR4xVMaMYLNRZmhwuwSoeHE=,tag:ir8fZ0t0KEfNYNHtTRF2qw==,type:str]
                    - name: ENC[AES256_GCM,data:mStxZUkTzfi4z9N2yPc=,iv:2bkr0F+wHfz8AZfsJMavHzFKNCOBjQ+hbj/dX5iBg0U=,tag:FOcutSX7X/P6HgLuxkmqAg==,type:str]
                      value: ENC[AES256_GCM,data:nxwuSQmY+Eco,iv:IwNW458tro+yshNYbsRyOK/zntv+KIg9jqSabJRjbEk=,tag:KuJ4tag/qKIFbIem74MOCQ==,type:str]
                  envFrom:
                    - secretRef:
                        #ENC[AES256_GCM,data:AJO5eB+dJS5cHhUmBmBhS5c8aA7Lqfh4cvR5oSuy+T1GARFjLv3x,iv:4BZS44DPz3se+P6Kcz5UraiBNROQEq4NbtZvAkAjrzc=,tag:+5taMHiQKDIU9bMMgUsyxw==,type:comment]
                        name: ENC[AES256_GCM,data:ThOfZ6F/xNGG1+WajF6vCOkOcw==,iv:Se/XqFmYiJgYOoQ2CkRCHa5lIt+364Q/GKUCIPsSpIw=,tag:tm7+BF16RQBWaOVknN/mOA==,type:str]
                  volumeMounts:
                    - ENC[AES256_GCM,data:PJC8US11tObZMk6oruZsJr7LNimqz9E2vsWKxbZEPnBero2Tnjde9RZZ879p2VBS+k6yymM5aeEm9tTUC/h+4vM+2cmtSAfGLsnsjykz3Q==,iv:erftQ8bfEpYwdklAjQTl3XmmuEG53R45vyuiNhi4xWM=,tag:Oa3tPnaDI3Fu8lGSjSdJaQ==,type:comment]
                    - name: ENC[AES256_GCM,data:RDXtZpzwHHpvPZEEBQ7UWNvnSfA=,iv:HnE03auXrPWz8puWwArhY2wOpW6TW8fUSEV/PvzuGgo=,tag:NjBXjxw1lYB6LZ59jG3qpA==,type:str]
                      #ENC[AES256_GCM,data:znkPqMTDoL35xxLuqooWp+2GKHrUNA4hga6kOoHKdp+bIQ==,iv:/8iOfpJ34t09F+Nkwg2Ig1oa0Gi8F2SgGCo/u7LEGbY=,tag:RPfqF4p9EZLfRba/q8d6RQ==,type:comment]
                      mountPath: ENC[AES256_GCM,data:cPlME36giQ==,iv:dqV0hFdFF+mKaO5XAoEae5iQMC4MLK6C5tvZMoVORy0=,tag:D7wOUr/ziq4sw3xZATSqxw==,type:str]
                      #ENC[AES256_GCM,data:u3FIkw1lujVWMyoHvvbP2zZQClPQMieSt36lOM6yCLkdjasrCGmylxH1ELahaj07dQ==,iv:UUNxmnet/GHVUcGWnXkXrL7EQ2pHrqRph2+j+fOXDKY=,tag:/PpAts+FlY5qYH2c5vwmuw==,type:comment]
                      subPath: ENC[AES256_GCM,data:mdaHe485/bOGICn5AvY=,iv:slFrpf0D3Z/ubGp9YmwHD9dtBZQaVZmntn9PQv4751w=,tag:DwmWYyvOyISYv7Sdg0uHoQ==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBseWlNcmVsRXhSd2gvNG1B
            eElndnJPbVd4TW5IMTQrTFMza1dDMTd6QkRjClZnSUFCQWVMTkMvWVdsaEZacEIx
            a1lINVZjZmIycGVFeWpLQzUwMkswSkEKLS0tIE1zU3IvQjNuL09GZ0VMNUdaMVJi
            WGhmVW9zUVY5R29FUjZ1NWVMYVlNQUEK8EzjXyY1W74feONuRgKiVmRE6HEpKo2k
            O+2fwEOUFt9uivB5FIy2Dl36g9jN25tVvmwiY+Ctsd3qvLlyy6a08g==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:13Z"
    mac: ENC[AES256_GCM,data:eHrYt0NnlVPjDJDEfYwA8k05hKtdJ6Ijg8DTTNYTnXRGvsCDj8TFp3ygUeXU/PAUpKhBUNj+31h5nmqZDOUO25xJaQQtl2naE0mFhpFr9EGYMw6sZLB0PAjBlx7uUFaMBAdbhAVCozgFKTqMCV5ffEnik+NzhBiK6+xSflR7p1M=,iv:Uasc1Fcidv/OemGnNMHgXZ1VWRTB6YLGoABL3IZaawQ=,tag:pGGRPVH0f902O/3pl569hw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
kind: Service
apiVersion: v1
metadata:
    # < service name (see link with statufulset yaml)
    name: nextcloud-db-service
    namespace: nextcloud
spec:
    selector:
        #ENC[AES256_GCM,data:hT7j5uWB7xnHYAR+h7buSMCf5VYEZLKUrNpIt3jDG0i89fVd4GhEz/bKwsOgxrJ2S3lMZ5qpuZHYYSDWuN2EtrvIKKeZFn9yh00z,iv:hOpRWbmsjnyY3QnkiEHPlK74yzTrIWyTzEH9LL3HqZ4=,tag:dxjPpXYGVcyfI4D8sEAi/Q==,type:comment]
        pod-label: ENC[AES256_GCM,data:KuOE03pauzQqyqi4NM8lKw==,iv:LBDAZe4lv5iMYbJzDWI8e9whrDunsliqXGqrdJ0ZJic=,tag:MfsCYlsMZzFctB+n8FS6AA==,type:str]
    ports:
        - name: ENC[AES256_GCM,data:Q/Kgw5c=,iv:4d8XMUfbadksl724vY/jXecZ9nE6ZVKDck2tQgDDlMM=,tag:/CoHD/bBNS0pwVbbeSdmZw==,type:str]
          protocol: ENC[AES256_GCM,data:uIvn,iv:vVLMl/OH4+5h9eRnhmvjcnSy8IFx5wLPq/OgRqOXwx8=,tag:1d7bkKixPjS09KI5+UcUcQ==,type:str]
          port: ENC[AES256_GCM,data:tn1ybg==,iv:ZOBI79NCtpojTG7B+iv+GTGJl2Vmqk+3I9acjyeRpLY=,tag:bV3nHGlHgyvI2ib3ve1u/w==,type:int]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBseWlNcmVsRXhSd2gvNG1B
            eElndnJPbVd4TW5IMTQrTFMza1dDMTd6QkRjClZnSUFCQWVMTkMvWVdsaEZacEIx
            a1lINVZjZmIycGVFeWpLQzUwMkswSkEKLS0tIE1zU3IvQjNuL09GZ0VMNUdaMVJi
            WGhmVW9zUVY5R29FUjZ1NWVMYVlNQUEK8EzjXyY1W74feONuRgKiVmRE6HEpKo2k
            O+2fwEOUFt9uivB5FIy2Dl36g9jN25tVvmwiY+Ctsd3qvLlyy6a08g==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:13Z"
    mac: ENC[AES256_GCM,data:eHrYt0NnlVPjDJDEfYwA8k05hKtdJ6Ijg8DTTNYTnXRGvsCDj8TFp3ygUeXU/PAUpKhBUNj+31h5nmqZDOUO25xJaQQtl2naE0mFhpFr9EGYMw6sZLB0PAjBlx7uUFaMBAdbhAVCozgFKTqMCV5ffEnik+NzhBiK6+xSflR7p1M=,iv:Uasc1Fcidv/OemGnNMHgXZ1VWRTB6YLGoABL3IZaawQ=,tag:pGGRPVH0f902O/3pl569hw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
